
|instClass installWebTools|

installWebTools := false.
Preferences disable: #showDeprecationWarnings.

instClass := Smalltalk at: #Installer ifAbsent: [ScriptLoader new installingInstaller].


"load latest alpha version of OB directly from its Monticello repo"
instClass wiresong
	project: 'ob';
	install: 'OmniBrowser';
	install: 'OB-Standard';
	install: 'OB-Morphic';
	install: 'OB-Enhancements'.

instClass ss
	project: 'AST';
	install: 'AST-lr'.

instClass ss
	project: 'RefactoringEngine';
	install: 'Refactoring-Core';
	install: 'Refactoring-Spelling'.
	
instClass ss
	project: 'Regex';
	install: 'VB-Regex'.

instClass wiresong
	project: 'ob';
	install: 'OB-Refactory'.
	
instClass lukas
	project: 'omnibrowser';
	install: 'OB-Regex'";
	install: 'OB-Tools'".

instClass ss
	project: 'shout';
	install: 'Shout.3.15-tween.72';
	install: 'ShoutWorkspace.1-tween'.

instClass ss
	project: 'RoelTyper';
	install: 'RoelTyper'.

instClass ss
       project: 'eCompletion';
       install: 'ECompletion-damiencassou.104';
       install: 'ECompletionOmniBrowser';
       install: 'ECompletionTraits'. 

"instClass ss
	project: 'Nile';
	install: 'Nile-All'."

instClass ss
	project: 'autoMethodCat';
	install: 'AutomaticMethodCategorizer';
	install: 'AutomaticMethodCategorizerOB'.
		
installWebTools ifTrue: [

	instClass ss
		project: 'KomHttpServer';
		install: 'DynamicBindings';
		install: 'KomServices';
		install: 'KomHttpServer'.
	
	instClass ss
		project: 'Seaside';
		answer: '.*username.*' with: 'admin';
		answer: '.*password.*' with: 'seaside';
		install: 'Seaside2.8a1'.

	instClass lukas
		project: 'magritte';
		install: 'Magritte-All'.

	instClass lukas
		project: 'pier';
		answer:  'Would you like.*' with: true;
		answer:  '.*name of your Pier kernel.*' with: 'Pier';
		answer:  '.*entry point.*' with: 'pier';
		answer:  '.*port number.*' with: '8080';
		installQuietly: 'Pier-All';
		install: 'Pier-Squeak-Persistency'.

	instClass lukas
		project: 'pieraddons';
		install: 'Pier-Design';
		install: 'Pier-Documents';
		install: 'Pier-EditorEnh';
		install: 'Pier-Google';
		install: 'Pier-LightBox';
		answer:  '.*SlideShare.*' with: '';
		install: 'Pier-Links';
		install: 'Pier-Randomizer';
		install: 'Pier-Setup';
		install: 'Pier-SyntaxHighlighter';
		install: 'Pier-TagCloud';
		install: 'Pier-Titles';
		install: 'Pier-Twitter';
		install: 'Sitemap'.

	instClass lukas
		project: 'unsorted';
		install: 'RFB'.

	(Smalltalk classNamed: #PRDistribution) new register.

	(Smalltalk classNamed: #SHWorkspace) new
		acceptContents: (Smalltalk classNamed: #PRDistribution) workspaceText, '

"Open the VNC server"
RFBServer open.

(WADispatcher default entryPointAt: ''pier'')
	      preferenceAt: ''serverProtocol'' put: #http;
	      preferenceAt: ''serverPort'' put: 80.

(WADispatcher default entryPointAt: ''pier'')
	      preferenceAt: ''serverProtocol'' put: #https;
	      preferenceAt: ''serverPort'' put: 443.
';

     openLabel: 'Pier'
].
		
instClass ss
	project: 'ImageForDevelopers';
	install: 'ImageForDevelopers-pharo'.

Preferences enable: #showDeprecationWarnings.
SmalltalkImage current snapshot: true andQuit: true.
